Page MenuHomePhabricator

C6. Switching between VE and source in Flow entry fields, source max height is too small -- in posts and side rail editing
Closed, ResolvedPublic1 Story Points

Description

The max height for source entry fields is usually too small. I've found some cases where the box will expand, but I can't reproduce it reliably. Switching back and forth between VE and source will always result in a source field that's too small.

In the side rail, they're also too small, which means a tiny editing space.

Here's the editing field in the side rail for VE:

Switching to wikitext mode, the editing field is ridiculously small:

Regular post, the source field is too small:

Regular post, occasionally I'll see a source field that sizes appropriately:

(previous ticket):

I start to edit the description (header)


I switch to VE, switch back to the wikitext
Field is now a small height and there is not even scroll bars

Event Timeline

Sunpriat raised the priority of this task from to Needs Triage.
Sunpriat updated the task description. (Show Details)
Sunpriat added a subscriber: Sunpriat.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 11:36 AM
Sunpriat set Security to None.
DannyH renamed this task from Flow: after switching VE no scrolling and small field height to Flow: side rail editing field in wikitext mode is very small.Jun 2 2015, 9:18 PM
DannyH triaged this task as Normal priority.
DannyH updated the task description. (Show Details)
DannyH updated the task description. (Show Details)
DannyH moved this task from Untriaged to Near-Term Interest on the Collaboration-Team-Triage board.
DannyH renamed this task from Flow: side rail editing field in wikitext mode is very small to Switching between VE and source in Flow entry fields, source max height is too small -- in posts and side rail editing.Jun 2 2015, 10:53 PM
DannyH updated the task description. (Show Details)
DannyH renamed this task from Switching between VE and source in Flow entry fields, source max height is too small -- in posts and side rail editing to C6. Switching between VE and source in Flow entry fields, source max height is too small -- in posts and side rail editing.Jun 3 2015, 7:14 PM
DannyH raised the priority of this task from Normal to High.

Change 216103 had a related patch set uploaded (by Matthias Mullie):
Redo part of the autoExpand code

https://gerrit.wikimedia.org/r/216103

Change 216679 had a related patch set uploaded (by Catrope):
Make none-editor use TextInputWidget

https://gerrit.wikimedia.org/r/216679

Change 216103 abandoned by Catrope:
Steal OOUI autoadjust code

Reason:
Superseded by https://gerrit.wikimedia.org/r/216679

https://gerrit.wikimedia.org/r/216103

Change 216679 merged by jenkins-bot:
Make none-editor use TextInputWidget

https://gerrit.wikimedia.org/r/216679

Change 217738 had a related patch set uploaded (by Catrope):
Follow-up e4c8a1504f: fix CSS issues

https://gerrit.wikimedia.org/r/217738

Change 217738 merged by jenkins-bot:
Follow-up e4c8a1504f: fix CSS issues

https://gerrit.wikimedia.org/r/217738

DannyH closed this task as Resolved.Jun 12 2015, 5:33 PM

Works on beta